# Get Locker Bank by Locker Bank ID

This API operation retrieves detailed information for the specified locker bank along with the list of locker units.

Endpoint: GET /api/v1/lockerBanks/{lockerBankId}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `lockerBankId` (string, required)
    Filters the locker banks by the specific locker bank ID.

## Response 200 fields (application/json):

  - `lockerBankId` (string)
    The unique identifier for the specified locker bank.
    Example: AOne

  - `bankName` (string)
    The given name to the locker bank to help identify the locker bank by users.
    Example: Locker One

  - `locationId` (string)
    The identifier of the location where the locker bank is installed.
    Example: loc_auto_sa5cxxx

  - `lockerBankDescription` (string)
    A descriptive text about the specified locker bank.
    Example: Locker bank installed for parcel deliveries.

  - `lastHeartbeatTime` (string)
    The timestamp of the most recent heartbeat signal received from the locker bank, indicating its latest communication status.
    Example: 2025-11-27T11:23:26Z

  - `rearLoadingEnabled` (boolean)
    Indicates if the locker bank is have rear loading enabled.
    Example: true

  - `deliveryEnabled` (boolean)
    Indicates whether the locker bank is currently in service and available for operations.
    Example: true

  - `assetEnabled` (boolean)
    Indicates whether asset support is enabled for the locker bank.
    Example: true

  - `lockerUnits` (array)

  - `lockerUnits.lockerUnitId` (string)
    The unique identifier for the locker unit.
    Example: 1

  - `lockerUnits.size` (string)
    The size of this locker unit.
    Example: small

  - `lockerUnits.accessible` (boolean)
    Indicates if the locker unit is handicapped accesible to recipients.
    Example: false

  - `lockerUnits.unitInService` (boolean)
    Indicates if the locker unit is currently operational.
    Example: true

  - `lockerUnits.unitReserved` (boolean)
    Indicates if the locker unit is currently reserved.
    Example: true

  - `lockerUnits.unitOccupied` (boolean)
    Indicates if the locker unit currently contains a deposited parcel.
    Example: false

  - `lockerUnits.depositTime` (string)
    The timestamp of the parcel deposit, returns only for occupied locker units.
    Example: 2025-11-17T14:28:37Z

  - `lockerUnits.depositExpiryTime` (string)
    The timestamp when the deposited parcel is scheduled to expire. By default,  a deposited parcel expires 2 days after the deposit date, excluding weekends. Once expired, the mailroom operator may remove the parcel or handle it according to facility policy.
    Example: 2027-12-19T09:59:00Z

  - `lockerUnits.reservationTime` (string)
    The timestamp when the locker unit reservation was made.
    Example: 2025-11-26T10:34:30Z

  - `lockerUnits.reservationExpiryTime` (string)
    The timestamp when the reservation for the locker unit is scheduled to expire. Once reservation is expired, the locker unit becomes available for new reservations.
    Example: 2025-11-12T16:13:06Z

  - `lockerUnits.transactionType` (string)
    This indicates the nature of the transaction, such as whether it was a delivery or a return.
    Example: deliver

  - `lockerUnits.contactId` (string)
    The identifier of the recipient of the package for whom the locker reservation is created.
    Example: 684a6b7bbc85e1bce739xxxx

  - `lockerUnits.contactType` (string)
    Indicates the type of contact associated with the reservation.
    Enum: "recipient", "department"

  - `lockerUnits.contactName` (string)
    The name of the contact associated with the reservation.
    Example: UserName

  - `lockerUnits.depositorContactId` (string)
    The identifier of the person or contact in the address book who will deposit the returned package or asset into the locker.
    Example: 684a6b7bbc85e1bxxxxxxxxx

  - `lockerUnits.depositorContactType` (string)
    This is an enumerated value that tells you where the contact code is coming from. For the depositor of the package, this field indicates the type of contact information provided for the depositor, such as whether it is a recipient or a department.
    Enum: "recipient", "department"

  - `lockerUnits.parcelsReserved` (array)
    The parcels that have been reserved for this locker unit but have not yet been deposited.

  - `lockerUnits.parcelsReserved.trackingNumber` (string)
    The primary identifier of a package, usually a carrier's tracking number.
    Example: TRK123456789

  - `lockerUnits.parcelsReserved.secondaryTrackingNumber` (string)
    A secondary identifier for a package, can be generated internally.
    Example: ALT987654321

  - `lockerUnits.parcelsDeposited` (array)
    A list of parcels that have already been deposited in the locker and are waiting to be picked up.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: The request could not be completed.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due HTTP 404 Page or File not found.
    Example: not_found

  - `errorDescription` (string)
    HTTP 404 Not Found response status code indicates that the server cannot find the requested resource.
    Example: resource not found

  - `additionalCode` (string)
    A unique identifier for the error, for example 0100025, 1110017, or 1090001.
    Example: 0100025

  - `additionalInfo` (string)
    The additional information about the error. This error 'Not Found' might appear due to `Shipment Not Found`, `No Shipments to close`, or `Original Transaction not found`.
    Example: Resource not found

  - `additionalParameters` (array)

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
    Example: The request could not be completed.

